spool 08_esquema_DHW.log

-- Creacin de la tabla para la Consulta 1
prompt Creando la tabla DWH Participacion Convocatoria ......
CREATE TABLE DWH_PARTICIPACION_CONVOCATORIA(
  ID_PART_CONV			NUMBER(15) NOT NULL,
  ID_CONVOCATORIA		VARCHAR2(20 BYTE) NOT NULL,
  PORCENT_PARTICIPACION	NUMBER(5,2) NOT NULL,
  
  CONSTRAINT PK_DWH_PARTCONV PRIMARY KEY (ID_PART_CONV) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 2
prompt Creando la tabla DWH Participacion Municipio ......
CREATE TABLE DWH_PARTICIPACION_MUNICIPIO(
  ID_PART_MUN		NUMBER(15) NOT NULL,
  ID_CONVOCATORIA	VARCHAR2(20 BYTE) NOT NULL,
  ID_MUNICIPIO		NUMBER(4) NOT NULL,
  PORCENT_MUNICIPIO	NUMBER(5,2) NOT NULL,
  
  CONSTRAINT PK_DWH_PARTMUN PRIMARY KEY (ID_PART_MUN) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 3
prompt Creando la tabla DWH Participacion Telemtica ......
CREATE TABLE DWH_PARTICIPACION_TELEMATICA(
  ID_PART_TEL		NUMBER(15) NOT NULL,
  ANO_CONVOCATORIA	VARCHAR2(4 BYTE) NOT NULL,
  PORCENTAJE_VOTOS	NUMBER(5,2) NOT NULL,
  
  CONSTRAINT PK_DWH_PARTTEL PRIMARY KEY (ID_PART_TEL) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 4
prompt Creando la tabla DWH Variacin Votos ......
CREATE TABLE DWH_VARIACION_VOTOS(
  ID_VAR_VOTOS		NUMBER(15) NOT NULL,
  ID_CONV_INI		VARCHAR2(20 BYTE) NOT NULL,
  ID_CONV_FIN		VARCHAR2(20 BYTE) NOT NULL,
  PORCENT_VARIACION	NUMBER(5,2) NOT NULL,
  
  CONSTRAINT PK_DWH_VARVOT PRIMARY KEY (ID_VAR_VOTOS) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 5
prompt Creando la tabla DWH Fijos Mesa ......
CREATE TABLE DWH_FIJOS_MESA(
  ID_FIJOS_MESA		NUMBER(15) NOT NULL,
  PERSONAS			NUMBER(10) NOT NULL,
  
  CONSTRAINT PK_DWH_FIJMES PRIMARY KEY (ID_FIJOS_MESA) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 6
prompt Creando la tabla DWH Alegacin Mesa ......
CREATE TABLE DWH_ALEGACION_MESA(
  ID_ALEG_MESA		NUMBER(15) NOT NULL,
  ID_CONVOCATORIA	VARCHAR2(20 BYTE) NOT NULL,
  PORCENT_ALEGACION	NUMBER(5,2) NOT NULL,
  
  CONSTRAINT PK_DWH_ALEMES PRIMARY KEY (ID_ALEG_MESA) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 7
prompt Creando la tabla DWH Partidos Presentacin ......
CREATE TABLE DWH_PARTIDOS_PRESENTACION(
  ID_PAR_PRE		NUMBER(15) NOT NULL,
  ID_PARTIDO		NUMBER(3) NOT NULL,
  
  CONSTRAINT PK_DWH_PARPRE PRIMARY KEY (ID_PAR_PRE) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 8
prompt Creando la tabla DWH Sorteo Mesas ......
CREATE TABLE DWH_SORTEO_MESAS(
  ID_SOR_MESA		NUMBER(15) NOT NULL,
  ID_CONVOCATORIA	VARCHAR2(20 BYTE) NOT NULL,
  PORCENT_MUNICIPIO	NUMBER(5,2) NOT NULL,
  
  CONSTRAINT PK_DWH_SORMES PRIMARY KEY (ID_SOR_MESA) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 9
prompt Creando la tabla DWH Mesas Menos Votos ......
CREATE TABLE DWH_MESAS_MENOS_VOTOS(
  ID_MESAS_VOTOS	NUMBER(15) NOT NULL,
  ID_CONVOCATORIA	VARCHAR2(20 BYTE) NOT NULL,
  ID_MESA			NUMBER(9) NOT NULL,
  NUM_VOTOS			NUMBER(9) NOT NULL,
  
  CONSTRAINT PK_DWH_MESVOT PRIMARY KEY (ID_MESAS_VOTOS) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 10
prompt Creando la tabla DWH Notificacion Mesa ......
CREATE TABLE DWH_NOTIFICACION_MESA(
  ID_NOTIF_MESA		NUMBER(15) NOT NULL,
  ID_CONVOCATORIA	VARCHAR2(20 BYTE) NOT NULL,
  PORCENTAJE_NOTIF	NUMBER(5,2) NOT NULL,
  
  CONSTRAINT PK_DWH_NOTMES PRIMARY KEY (ID_NOTIF_MESA) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 11
prompt Creando la tabla DWH Max Candidatos ......
CREATE TABLE DWH_MAX_CANDIDATOS(
  ID_MAX_CANDIDATOS	NUMBER(15) NOT NULL,
  ID_CONVOCATORIA	VARCHAR2(20 BYTE) NOT NULL,
  NUM_CANDIDATOS	NUMBER(5) NOT NULL,
  
  CONSTRAINT PK_DWH_MAXCAN PRIMARY KEY (ID_MAX_CANDIDATOS) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creacin de la tabla para la Consulta 12
prompt Creando la tabla DWH Reparto Escaos ......
CREATE TABLE DWH_REPARTO_ESCANOS(
  ID_REP_ESCANOS	NUMBER(15) NOT NULL,
  ID_CONVOCATORIA	VARCHAR2(20 BYTE) NOT NULL,
  ID_PARTIDO		NUMBER(3) NOT NULL,
  NUM_ESCANOS		NUMBER(3) NOT NULL,
  
  CONSTRAINT PK_DWH_REPESC PRIMARY KEY (ID_REP_ESCANOS) 
)  
TABLESPACE TFG_DW
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

-- Creaccin de las secuencias del DWH

CREATE SEQUENCE SEC_DWH_PART_CONV
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_PART_MUN
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_PART_TELEMATICA 
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_VARIACION_VOTOS 
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_FIJOS_MESA
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_ALEGACION_MESA
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_PARTIDOS_PRES
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_SORTEO_MESAS
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_MESAS_MENOS_VOTOS
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_NOTIFICACION_MESA
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_MAX_CANDIDATOS
START WITH 1  
INCREMENT BY 1 
NOCACHE;

CREATE SEQUENCE SEC_DWH_REPARTO_ESCANOS
START WITH 1  
INCREMENT BY 1 
NOCACHE;

-- Disparadores para las secuencias del DWH

CREATE OR REPLACE
TRIGGER INSERT_DWH_PART_CONV BEFORE INSERT ON DWH_PARTICIPACION_CONVOCATORIA
FOR EACH ROW
BEGIN
SELECT SEC_DWH_PART_CONV.NEXTVAL INTO :NEW.ID_PART_CONV FROM DUAL;
END INSERT_DWH_PART_CONV;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_PART_MUN BEFORE INSERT ON DWH_PARTICIPACION_MUNICIPIO
FOR EACH ROW
BEGIN
SELECT SEC_DWH_PART_MUN.NEXTVAL INTO :NEW.ID_PART_MUN FROM DUAL;
END INSERT_DWH_PART_MUN;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_PART_TELEMATICA BEFORE INSERT ON DWH_PARTICIPACION_TELEMATICA
FOR EACH ROW
BEGIN
SELECT SEC_DWH_PART_TELEMATICA.NEXTVAL INTO :NEW.ID_PART_TEL FROM DUAL;
END INSERT_DWH_PART_TELEMATICA;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_VARIACION_VOTOS BEFORE INSERT ON DWH_VARIACION_VOTOS
FOR EACH ROW
BEGIN
SELECT SEC_DWH_VARIACION_VOTOS.NEXTVAL INTO :NEW.ID_VAR_VOTOS FROM DUAL;
END INSERT_DWH_VARIACION_VOTOS;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_FIJOS_MESA BEFORE INSERT ON DWH_FIJOS_MESA
FOR EACH ROW
BEGIN
SELECT SEC_DWH_FIJOS_MESA.NEXTVAL INTO :NEW.ID_FIJOS_MESA FROM DUAL;
END INSERT_DWH_FIJOS_MESA;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_ALEGACION_MESA BEFORE INSERT ON DWH_ALEGACION_MESA
FOR EACH ROW
BEGIN
SELECT SEC_DWH_PARTIDOS_PRES.NEXTVAL INTO :NEW.ID_ALEG_MESA FROM DUAL;
END INSERT_DWH_ALEGACION_MESA;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_PARTIDOS_PRES BEFORE INSERT ON DWH_PARTIDOS_PRESENTACION
FOR EACH ROW
BEGIN
SELECT SEC_DWH_PARTIDOS_PRES.NEXTVAL INTO :NEW.ID_PAR_PRE FROM DUAL;
END INSERT_DWH_PARTIDOS_PRES;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_SORTEO_MESAS BEFORE INSERT ON DWH_SORTEO_MESAS
FOR EACH ROW
BEGIN
SELECT SEC_DWH_SORTEO_MESAS.NEXTVAL INTO :NEW.ID_SOR_MESA FROM DUAL;
END INSERT_DWH_SORTEO_MESAS;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_MESAS_MENOS_VOTOS BEFORE INSERT ON DWH_MESAS_MENOS_VOTOS
FOR EACH ROW
BEGIN
SELECT SEC_DWH_MESAS_MENOS_VOTOS.NEXTVAL INTO :NEW.ID_MESAS_VOTOS FROM DUAL;
END INSERT_DWH_MESAS_MENOS_VOTOS;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_NOTIFICACION_MESA BEFORE INSERT ON DWH_NOTIFICACION_MESA
FOR EACH ROW
BEGIN
SELECT SEC_DWH_NOTIFICACION_MESA.NEXTVAL INTO :NEW.ID_NOTIF_MESA FROM DUAL;
END INSERT_DWH_NOTIFICACION_MESA;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_MAX_CANDIDATOS BEFORE INSERT ON DWH_MAX_CANDIDATOS
FOR EACH ROW
BEGIN
SELECT SEC_DWH_MAX_CANDIDATOS.NEXTVAL INTO :NEW.ID_MAX_CANDIDATOS FROM DUAL;
END INSERT_DWH_MAX_CANDIDATOS;
/

CREATE OR REPLACE
TRIGGER INSERT_DWH_REPARTO_ESCANOS BEFORE INSERT ON DWH_REPARTO_ESCANOS
FOR EACH ROW
BEGIN
SELECT SEC_DWH_REPARTO_ESCANOS.NEXTVAL INTO :NEW.ID_REP_ESCANOS FROM DUAL;
END INSERT_DWH_REPARTO_ESCANOS;
/


spool off;
