SET SERVEROUTPUT ON;
spool 32_Pruebas_Unitarias_Pk_PRC.log
prompt Pruebas unitarias de los procedimientos de PK_PRC...

DECLARE
  RSP VARCHAR2(300);
BEGIN

  /**************************************
   *  GENERAR_DEMARCACION
   **************************************/
 
  PK_PRC.GENERAR_DEMARCACION ('CONVAUT01', RSP);
  dbms_output.put_line('GENERAR_DEMARCACION:'||RSP);
  PK_PRC.GENERAR_DEMARCACION ('', RSP);
  dbms_output.put_line('GENERAR_DEMARCACION:'||RSP);
  PK_PRC.GENERAR_DEMARCACION ('HOLA', RSP);
  dbms_output.put_line('GENERAR_DEMARCACION:'||RSP);
  PK_PRC.GENERAR_DEMARCACION ('PRUEBA', RSP);
  dbms_output.put_line('GENERAR_DEMARCACION:'||RSP);
  PK_PRC.GENERAR_DEMARCACION ('CONVAUT01', RSP);
  dbms_output.put_line('GENERAR_DEMARCACION:'||RSP);


  /**************************************
   *  GENERAR_CENSO_ELECTORAL
   **************************************/
 
  PK_PRC.GENERAR_CENSO_ELECTORAL ('CONVAUT01', RSP);
  dbms_output.put_line('GENERAR_CENSO_ELECTORAL:'||RSP);
  PK_PRC.GENERAR_CENSO_ELECTORAL ('', RSP);
  dbms_output.put_line('GENERAR_CENSO_ELECTORAL:'||RSP);
  PK_PRC.GENERAR_CENSO_ELECTORAL ('HOLA', RSP);
  dbms_output.put_line('GENERAR_CENSO_ELECTORAL:'||RSP);
  PK_PRC.GENERAR_CENSO_ELECTORAL ('PRUEBA', RSP);
  dbms_output.put_line('GENERAR_CENSO_ELECTORAL:'||RSP);
  PK_PRC.GENERAR_CENSO_ELECTORAL ('CONVAUT01', RSP);
  dbms_output.put_line('GENERAR_CENSO_ELECTORAL:'||RSP);

  -- Se insertan estos datos para continuar con las pruebas.
   /**************************************
   *  DEMARCACION Y CENSO_ELECTORAL
   **************************************/
  PK_PRC.GENERAR_DEMARCACION ('CONVMUN01', RSP);
  PK_PRC.GENERAR_DEMARCACION ('CONVEST01', RSP);
  PK_PRC.GENERAR_DEMARCACION ('CONVAUT02', RSP);
  PK_PRC.GENERAR_CENSO_ELECTORAL ('CONVMUN01', RSP);
  PK_PRC.GENERAR_CENSO_ELECTORAL ('CONVEST01', RSP);
  PK_PRC.GENERAR_CENSO_ELECTORAL ('CONVAUT02', RSP);

  /**************************************
   *  INSERTAR CANDIDATURA Y CANDIDATO
   **************************************/
  PK_ABM.ALTA_CANDIDATURA (1, 1, RSP);
  PK_ABM.ALTA_CANDIDATURA (1, 2, RSP);
  PK_ABM.ALTA_CANDIDATURA (2, 1, RSP);
  PK_ABM.ALTA_CANDIDATURA (2, 2, RSP);
  PK_ABM.ALTA_CANDIDATURA (3, 1, RSP);
  PK_ABM.ALTA_CANDIDATURA (3, 2, RSP);
  PK_ABM.ALTA_CANDIDATURA (4, 2, RSP);
  PK_ABM.ALTA_CANDIDATURA (4, 3, RSP);
  PK_ABM.ALTA_CANDIDATURA (5, 2, RSP);
  PK_ABM.ALTA_CANDIDATURA (5, 3, RSP);
  PK_ABM.ALTA_CANDIDATURA (6, 2, RSP);
  PK_ABM.ALTA_CANDIDATURA (6, 3, RSP);
  PK_ABM.ALTA_CANDIDATURA (7, 1, RSP);
  PK_ABM.ALTA_CANDIDATURA (7, 3, RSP);
  PK_ABM.ALTA_CANDIDATURA (8, 1, RSP);
  PK_ABM.ALTA_CANDIDATURA (8, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '31', 1, 1, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '32', 1, 1, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '43', 1, 1, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '44', 1, 1, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '55', 1, 1, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '56', 1, 1, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '66', 1, 1, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '65', 1, 1, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '71', 1, 1, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '75', 1, 1, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '88', 1, 1, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '89', 1, 1, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '41', 1, 2, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '42', 1, 2, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '43', 1, 2, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '44', 1, 2, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '45', 1, 2, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '46', 1, 2, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '47', 1, 2, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '48', 1, 2, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '49', 1, 2, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '50', 1, 2, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '51', 1, 2, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '52', 1, 2, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '01', 2, 1, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '02', 2, 1, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '13', 2, 1, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '14', 2, 1, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '25', 2, 1, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '26', 2, 1, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '07', 2, 1, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '08', 2, 1, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '09', 2, 1, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '10', 2, 1, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '11', 2, 1, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '12', 2, 1, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '21', 2, 2, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '22', 2, 2, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '23', 2, 2, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '24', 2, 2, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '25', 2, 2, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '26', 2, 2, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '27', 2, 2, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '28', 2, 2, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '29', 2, 2, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '30', 2, 2, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '91', 2, 2, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '92', 2, 2, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '131', 3, 1, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '132', 3, 1, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '133', 3, 1, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '134', 3, 1, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '135', 3, 1, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '136', 3, 1, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '137', 3, 1, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '138', 3, 1, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '139', 3, 1, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '140', 3, 1, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '121', 3, 1, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '122', 3, 1, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '141', 3, 2, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '142', 3, 2, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '143', 3, 2, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '144', 3, 2, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '145', 3, 2, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '146', 3, 2, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '147', 3, 2, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '148', 3, 2, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '149', 3, 2, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '150', 3, 2, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '151', 3, 2, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '152', 3, 2, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '181', 4, 2, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '182', 4, 2, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '183', 4, 2, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '184', 4, 2, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '185', 4, 2, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '186', 4, 2, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '187', 4, 2, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '188', 4, 2, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '189', 4, 2, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '190', 4, 2, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '191', 4, 2, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '192', 4, 2, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '201', 4, 3, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '202', 4, 3, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '203', 4, 3, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '204', 4, 3, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '205', 4, 3, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '206', 4, 3, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '207', 4, 3, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '208', 4, 3, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '209', 4, 3, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '210', 4, 3, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '211', 4, 3, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '212', 4, 3, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '261', 5, 2, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '262', 5, 2, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '263', 5, 2, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '264', 5, 2, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '265', 5, 2, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '266', 5, 2, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '267', 5, 2, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '268', 5, 2, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '269', 5, 2, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '270', 5, 2, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '271', 5, 2, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '272', 5, 2, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '281', 5, 3, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '282', 5, 3, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '283', 5, 3, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '284', 5, 3, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '285', 5, 3, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '286', 5, 3, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '287', 5, 3, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '288', 5, 3, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '289', 5, 3, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '290', 5, 3, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '291', 5, 3, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '292', 5, 3, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '311', 6, 2, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '312', 6, 2, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '313', 6, 2, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '314', 6, 2, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '315', 6, 2, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '316', 6, 2, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '317', 6, 2, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '318', 6, 2, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '319', 6, 2, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '320', 6, 2, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '321', 6, 2, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '322', 6, 2, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '341', 6, 3, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '342', 6, 3, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '343', 6, 3, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '344', 6, 3, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '345', 6, 3, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '346', 6, 3, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '347', 6, 3, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '348', 6, 3, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '349', 6, 3, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '350', 6, 3, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '351', 6, 3, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '352', 6, 3, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '371', 7, 1, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '372', 7, 1, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '373', 7, 1, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '374', 7, 1, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '375', 7, 1, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '376', 7, 1, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '377', 7, 1, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '378', 7, 1, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '379', 7, 1, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '380', 7, 1, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '381', 7, 1, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '382', 7, 1, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '401', 7, 3, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '402', 7, 3, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '403', 7, 3, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '404', 7, 3, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '405', 7, 3, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '406', 7, 3, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '407', 7, 3, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '408', 7, 3, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '409', 7, 3, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '410', 7, 3, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '411', 7, 3, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '412', 7, 3, 12, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '421', 8, 1, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '422', 8, 1, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '423', 8, 1, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '424', 8, 1, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '425', 8, 1, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '426', 8, 1, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '427', 8, 1, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '428', 8, 1, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '429', 8, 1, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '430', 8, 1, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '441', 8, 3, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '442', 8, 3, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '443', 8, 3, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '444', 8, 3, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '445', 8, 3, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '446', 8, 3, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '447', 8, 3, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '448', 8, 3, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '449', 8, 3, 9, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '450', 8, 3, 10, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '451', 8, 3, 11, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT01', '452', 8, 3, 12, RSP);


  /**************************************
   *  AUTONOMICAS CEUTA
   **************************************/
  PK_ABM.ALTA_CANDIDATURA (58, 10, RSP);
  PK_ABM.ALTA_CANDIDATURA (58, 14, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '901', 58, 10, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '902', 58, 10, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '903', 58, 10, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '904', 58, 10, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '905', 58, 10, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '906', 58, 10, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '907', 58, 10, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '908', 58, 10, 8, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '911', 58, 14, 1, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '912', 58, 14, 2, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '913', 58, 14, 3, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '914', 58, 14, 4, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '915', 58, 14, 5, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '916', 58, 14, 6, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '917', 58, 14, 7, RSP);
  PK_ABM.ALTA_CANDIDATO ('CONVAUT02', '918', 58, 14, 8, RSP);


  /**************************************
   *  VALIDAR_CANDIDATURA
   **************************************/
  PK_PRC.VALIDAR_CANDIDATURA ('', 1, 1, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('CONVAUT01', NULL, 1, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('CONVAUT01', 1, NULL, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('PRUEBA2', 1, 1, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('CONVAUT01', 555, 1, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('CONVAUT01', 1, 24, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('CONVAUT01', 1, 7, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('CONVAUT01', 8, 1, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);
  PK_PRC.VALIDAR_CANDIDATURA ('CONVAUT01', 1, 1, RSP);
  dbms_output.put_line('VALIDAR_CANDIDATURA:'||RSP);

  /**************************************
   *  CIERRE_CANDIDATURAS
   **************************************/
  pk_PRC.CIERRE_CANDIDATURAS ('', 4, RSP);
  dbms_output.put_line('CIERRE_CANDIDATURAS:'||RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVMUN01', NULL, RSP);
  dbms_output.put_line('CIERRE_CANDIDATURAS:'||RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('PRUEBA2', 4, RSP);
  dbms_output.put_line('CIERRE_CANDIDATURAS:'||RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVMUN01', 555, RSP);
  dbms_output.put_line('CIERRE_CANDIDATURAS:'||RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 1, RSP);
  dbms_output.put_line('CIERRE_CANDIDATURAS:'||RSP);

  -- Cerramos el resto de candidaturas existentes para continuar con las pruebas.
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 2, RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 3, RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 4, RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 5, RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 6, RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 7, RSP);

  /**************************************
   *  GENERAR SORTEO COMPOSICION MESAS
   **************************************/
  pk_PRC.SORTEO_MIEMBROS_MESA ('', 4, RSP);
  dbms_output.put_line('SORTEO_MIEMBROS_MESA:'||RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', NULL, RSP);
  dbms_output.put_line('SORTEO_MIEMBROS_MESA:'||RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('PRUEBA2', 6, RSP);
  dbms_output.put_line('SORTEO_MIEMBROS_MESA:'||RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', 99, RSP);
  dbms_output.put_line('SORTEO_MIEMBROS_MESA:'||RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', 8, RSP);
  dbms_output.put_line('SORTEO_MIEMBROS_MESA:'||RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT01', 8, RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', 8, RSP);
  dbms_output.put_line('SORTEO_MIEMBROS_MESA:'||RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', 8, RSP);
  dbms_output.put_line('SORTEO_MIEMBROS_MESA:'||RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', 1, RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', 2, RSP);
  pk_PRC.SORTEO_MIEMBROS_MESA ('CONVAUT01', 3, RSP);
  pk_PRC.CIERRE_CANDIDATURAS ('CONVAUT02', 58, RSP);
  UPDATE CENSO_ELECTORAL
	SET ES_MESA = 'S', TIPO = 'TITULAR'
  WHERE ID_CONVOCATORIA = 'CONVAUT02'
	AND ID_MESA = 149
	AND ID_PADRON IN ('910', '921', '948');

  UPDATE CENSO_ELECTORAL
	SET ES_MESA = 'S', TIPO = 'SUPLENTE'
  WHERE ID_CONVOCATORIA = 'CONVAUT02'
	AND ID_MESA = 149
	AND ID_PADRON IN ('909', '929', '933');

  UPDATE CENTRO_VOTACION
	SET SORTEADO = 'S', NOTIFICADO = 'N'
  WHERE ID_DEMARCACION = 58
	AND ID_MUNICIPIO = 1;
	
  /**************************************
   *  ENVIAR_NOTIFICACION_MESA
   **************************************/
  pk_PRC.ENVIAR_NOTIFICACION_MESA ('', 8, RSP);
  dbms_output.put_line('ENVIAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.ENVIAR_NOTIFICACION_MESA ('CONVAUT01', NULL, RSP);
  dbms_output.put_line('ENVIAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.ENVIAR_NOTIFICACION_MESA ('PRUEBA2', 8, RSP);
  dbms_output.put_line('ENVIAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.ENVIAR_NOTIFICACION_MESA ('CONVAUT01', 5, RSP);
  dbms_output.put_line('ENVIAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.ENVIAR_NOTIFICACION_MESA ('CONVAUT01', 25, RSP);
  dbms_output.put_line('ENVIAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.ENVIAR_NOTIFICACION_MESA ('CONVAUT01', 25, RSP);
  dbms_output.put_line('ENVIAR_NOTIFICACION_MESA:'||RSP);

  /**************************************
   *  CONFIRMAR_NOTIFICACION_MESA
   **************************************/
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('', '125', RSP);
  dbms_output.put_line('CONFIRMAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('CONVAUT02', '', RSP);
  dbms_output.put_line('CONFIRMAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('PRUEBA2', '910', RSP);
  dbms_output.put_line('CONFIRMAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('CONVAUT02', '9999', RSP);
  dbms_output.put_line('CONFIRMAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('CONVAUT02', '901', RSP);
  dbms_output.put_line('CONFIRMAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('CONVAUT02', '910', RSP);
  dbms_output.put_line('CONFIRMAR_NOTIFICACION_MESA:'||RSP);
  UPDATE CENTRO_VOTACION
	SET NOTIFICADO = 'S'
  WHERE ID_DEMARCACION = 58
	AND ID_MUNICIPIO = 1;
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('CONVAUT02', '910', RSP);
  dbms_output.put_line('CONFIRMAR_NOTIFICACION_MESA:'||RSP);
  pk_PRC.CONFIRMAR_NOTIFICACION_MESA ('CONVAUT02', '921', RSP);


  /**************************************
   *  ALEGA_ASISTENCIA_MESA
   **************************************/
  pk_PRC.ALEGA_ASISTENCIA_MESA ('', '125', RSP);
  dbms_output.put_line('ALEGA_ASISTENCIA_MESA:'||RSP);
  pk_PRC.ALEGA_ASISTENCIA_MESA ('CONVAUT02', '', RSP);
  dbms_output.put_line('ALEGA_ASISTENCIA_MESA:'||RSP);
  pk_PRC.ALEGA_ASISTENCIA_MESA ('PRUEBA2', '125', RSP);
  dbms_output.put_line('ALEGA_ASISTENCIA_MESA:'||RSP);
  pk_PRC.ALEGA_ASISTENCIA_MESA ('CONVAUT02', '9999', RSP);
  dbms_output.put_line('ALEGA_ASISTENCIA_MESA:'||RSP);
  pk_PRC.ALEGA_ASISTENCIA_MESA ('CONVAUT02', '901', RSP);
  dbms_output.put_line('ALEGA_ASISTENCIA_MESA:'||RSP);
  pk_PRC.ALEGA_ASISTENCIA_MESA ('CONVAUT02', '909', RSP);
  dbms_output.put_line('ALEGA_ASISTENCIA_MESA:'||RSP);
  pk_PRC.ALEGA_ASISTENCIA_MESA ('CONVAUT02', '910', RSP);
  dbms_output.put_line('ALEGA_ASISTENCIA_MESA:'||RSP);


  /**************************************
   *  PRESENTACION_MIEMBRO_MESA
   **************************************/
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('', '05', 4, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT01', '', 4, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT01', '08', NULL, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('PRUEBA2', '05', 4, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT01', '9999', 4, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT02', '910', 999, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT02', '901', 1, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT02', '948', 149, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT02', '910', 149, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT02', '910', 149, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);
  UPDATE CENSO_ELECTORAL
    SET NOTIFICADO = 'S', PRESENTADO = 'S'
  WHERE ID_CONVOCATORIA = 'CONVAUT02' 
    AND ES_MESA = 'S'
    AND ID_MESA = 149
    AND ID_PADRON IN ('933', '948');
  pk_PRC.PRESENTACION_MIEMBRO_MESA ('CONVAUT02', '921', 149, RSP);
  dbms_output.put_line('PRESENTACION_MIEMBRO_MESA:'||RSP);


  /**************************************
   *  ABRIR_MESA
   **************************************/
  pk_PRC.ABRIR_MESA (NULL, 25, 1, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (1, NULL, 1, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (1, 25, NULL, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (99, 25, 1, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (1, 999, 1, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (1, 25, 9999, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (58, 1, 149, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (58, 1, 149, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  pk_PRC.ABRIR_MESA (1, 38, 2, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);
  UPDATE CONVOCATORIA SET ESTADO = 'CERRADA' WHERE ID_CONVOCATORIA = 'CONVMUN01';
  pk_PRC.ABRIR_MESA (15, 8, 36, RSP);
  dbms_output.put_line('ABRIR_MESA:'||RSP);


  -- PRECARGA DE VOTOS
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'SDAFASDFSD', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'FDGSFDG', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'SFDGSDF', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'BXCVB', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'TWETRW', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'HGFDHFDGH', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'ZXCVZXCV', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'ASDASDA', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'FDSFSDFSD', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'CVXVXCVXC', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'CXVXCVXCV', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'SDFVCBHGH', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'ERWERGTFGF', 149, RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', 'ASDSFDFDS', 149, RSP);

  /**************************************
   *  REGISTRAR VOTO
   **************************************/
 
  PK_PRC.ALTA_VOTACION ('', 'SDAFASDFSD', 1, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);
  PK_PRC.ALTA_VOTACION ('XXXXX', 'SDAFASDFSD', 1, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);
  PK_PRC.ALTA_VOTACION ('TELEMATICO', '', 1, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', 'SDAFASDFSD', NULL, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', 'SDAFASDFSD', 999, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', 'SDAFASDFSD', 4, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);
  PK_PRC.ALTA_VOTACION ('PRESENCIAL', '', 149, RSP);
  dbms_output.put_line('ALTA_VOTACION:'||RSP);


  /**************************************
   *  CIERRE_MESA
   **************************************/

  pk_PRC.CIERRE_MESA (NULL, 25, 1, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  pk_PRC.CIERRE_MESA (1, NULL, 1, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  pk_PRC.CIERRE_MESA (1, 25, NULL, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  pk_PRC.CIERRE_MESA (99, 25, 1, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  pk_PRC.CIERRE_MESA (1, 999, 1, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  pk_PRC.CIERRE_MESA (1, 25, 999, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  pk_PRC.CIERRE_MESA (1, 25, 4, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  pk_PRC.CIERRE_MESA (58, 1, 149, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);
  UPDATE MESA SET ESTADO = 'ABIERTA' WHERE ID_MESA = 36;
  pk_PRC.CIERRE_MESA (15, 8, 36, RSP);
  dbms_output.put_line('CIERRE_MESA:'||RSP);

  /**************************************
   *  ALTA_RECUENTO
   **************************************/
  pk_PRC.ALTA_RECUENTO (NULL, 25, 1, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (1, NULL, 1, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (1, 25, NULL, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (1, 25, 999, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (99, 25, 1, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (4, 25, 1, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (2, 75, 1, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  UPDATE MESA SET ESTADO = 'ABIERTA' WHERE ID_MESA = 2;
  pk_PRC.ALTA_RECUENTO (2, 25, 2, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (10, 25, 149, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);
  pk_PRC.ALTA_RECUENTO (10, 25, 149, RSP);
  dbms_output.put_line('ALTA_RECUENTO:'||RSP);

  /**************************************
   *  MODIFICACION_RECUENTO
   **************************************/
  PK_PRC.MODIFICACION_RECUENTO (NULL, 2, 3, RSP);
  dbms_output.put_line('MODIFICACION_RECUENTO:'||RSP);
  PK_PRC.MODIFICACION_RECUENTO (1, NULL, 3, RSP);
  dbms_output.put_line('MODIFICACION_RECUENTO:'||RSP);
  PK_PRC.MODIFICACION_RECUENTO (1, 2, NULL, RSP);
  dbms_output.put_line('MODIFICACION_RECUENTO:'||RSP);
  PK_PRC.MODIFICACION_RECUENTO (1, 0, 4, RSP);
  dbms_output.put_line('MODIFICACION_RECUENTO:'||RSP);
  INSERT INTO RECUENTO (PARTIDO, VOTOS, ID_MESA) VALUES (2, 25, 2);
  pk_PRC.MODIFICACION_RECUENTO (2, 25, 2, RSP);
  dbms_output.put_line('MODIFICACION_RECUENTO:'||RSP);
  pk_PRC.MODIFICACION_RECUENTO (10, 75, 149, RSP);
  dbms_output.put_line('MODIFICACION_RECUENTO:'||RSP);
  pk_PRC.MODIFICACION_RECUENTO (10, 35, 149, RSP);
  dbms_output.put_line('MODIFICACION_RECUENTO:'||RSP);


  /**************************************
   *  BAJA_RECUENTO
   **************************************/

  PK_PRC.BAJA_RECUENTO (NULL, 3, RSP);
  dbms_output.put_line('BAJA_RECUENTO:'||RSP);
  PK_PRC.BAJA_RECUENTO (1, NULL, RSP);
  dbms_output.put_line('BAJA_RECUENTO:'||RSP);
  PK_PRC.BAJA_RECUENTO (3, 1, RSP);
  dbms_output.put_line('BAJA_RECUENTO:'||RSP);
  UPDATE MESA SET ESTADO = 'FINALIZADA' WHERE ID_MESA = 2;
  PK_PRC.BAJA_RECUENTO (2, 2, RSP);
  dbms_output.put_line('BAJA_RECUENTO:'||RSP);
  PK_PRC.BAJA_RECUENTO (10, 149, RSP);
  dbms_output.put_line('BAJA_RECUENTO:'||RSP);


 /**************************************
   *  CIERRE_CONVOCATORIA
   **************************************/
  pk_PRC.ALTA_RECUENTO (10, 25, 149, RSP);
  pk_PRC.ALTA_RECUENTO (14, 15, 149, RSP);
  pk_PRC.CIERRE_CONVOCATORIA ('', RSP);
  dbms_output.put_line('CIERRE_CONVOCATORIA:'||RSP);
  pk_PRC.CIERRE_CONVOCATORIA ('PRUEBA2', RSP);
  dbms_output.put_line('CIERRE_CONVOCATORIA:'||RSP);
  pk_PRC.CIERRE_CONVOCATORIA ('PRUEBA', RSP);
  dbms_output.put_line('CIERRE_CONVOCATORIA:'||RSP);
  UPDATE CONVOCATORIA SET ESTADO = 'ABIERTA' WHERE ID_CONVOCATORIA = 'CONVMUN01';
  pk_PRC.CIERRE_CONVOCATORIA ('CONVMUN01', RSP);
  dbms_output.put_line('CIERRE_CONVOCATORIA:'||RSP);
  pk_PRC.CIERRE_CONVOCATORIA ('CONVAUT02', RSP);
  dbms_output.put_line('CIERRE_CONVOCATORIA:'||RSP);


  /**************************************
   *  FINALIZAR_MESA
   **************************************/
  pk_PRC.FINALIZAR_MESA (NULL, 25, 1, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (1, NULL, 1, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (1, 25, NULL, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (99, 25, 1, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (1, 9999, 1, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (1, 25, 999, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (1, 25, 99, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (15, 8, 36, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  pk_PRC.FINALIZAR_MESA (58, 1, 149, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  UPDATE RECUENTO SET VOTOS = 45 WHERE PARTIDO = 10 AND ID_MESA = 149;
  pk_PRC.FINALIZAR_MESA (58, 1, 149, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);
  UPDATE RECUENTO SET VOTOS = 35 WHERE PARTIDO = 10 AND ID_MESA = 149;
  pk_PRC.FINALIZAR_MESA (58, 1, 149, RSP);
  dbms_output.put_line('FINALIZAR_MESA:'||RSP);


  /**************************************
   *  REALIZAR_ESCRUTINIO
   **************************************/
  pk_PRC.REALIZAR_ESCRUTINIO ('', 4, RSP);
  dbms_output.put_line('REALIZAR_ESCRUTINIO:'||RSP);
  pk_PRC.REALIZAR_ESCRUTINIO ('CONVMUN01', NULL, RSP);
  dbms_output.put_line('REALIZAR_ESCRUTINIO:'||RSP);
  pk_PRC.REALIZAR_ESCRUTINIO ('PRUEBA2', 4, RSP);
  dbms_output.put_line('REALIZAR_ESCRUTINIO:'||RSP);
  pk_PRC.REALIZAR_ESCRUTINIO ('CONVMUN01', 999, RSP);
  dbms_output.put_line('REALIZAR_ESCRUTINIO:'||RSP);
  UPDATE CONVOCATORIA SET ESTADO = 'CERRADA' WHERE ID_CONVOCATORIA = 'CONVMUN01';
  pk_PRC.REALIZAR_ESCRUTINIO ('CONVMUN01', 15, RSP);
  dbms_output.put_line('REALIZAR_ESCRUTINIO:'||RSP);
  pk_PRC.REALIZAR_ESCRUTINIO ('CONVAUT02', 58, RSP);
  dbms_output.put_line('REALIZAR_ESCRUTINIO:'||RSP);

  /**************************************
   *  FINALIZAR_CONVOCATORIA
   **************************************/
  pk_PRC.FINALIZAR_CONVOCATORIA ('', RSP);
  dbms_output.put_line('FINALIZAR_CONVOCATORIA:'||RSP);
  pk_PRC.FINALIZAR_CONVOCATORIA ('PRUEBA2', RSP);
  dbms_output.put_line('FINALIZAR_CONVOCATORIA:'||RSP);
  pk_PRC.FINALIZAR_CONVOCATORIA ('CONVEST01', RSP);
  dbms_output.put_line('FINALIZAR_CONVOCATORIA:'||RSP);
  pk_PRC.FINALIZAR_CONVOCATORIA ('CONVMUN01', RSP);
  dbms_output.put_line('FINALIZAR_CONVOCATORIA:'||RSP);
  UPDATE CONVOCATORIA SET ESTADO = 'CERRADA' WHERE ID_CONVOCATORIA = 'CONVAUT01';
  UPDATE MESA SET ESTADO = 'FINALIZADA' WHERE ID_DEMARCACION IN (1,2,3,4,5,6,7,8);
  pk_PRC.FINALIZAR_CONVOCATORIA ('CONVAUT01', RSP);
  dbms_output.put_line('FINALIZAR_CONVOCATORIA:'||RSP);
  pk_PRC.FINALIZAR_CONVOCATORIA ('CONVAUT02', RSP);
  dbms_output.put_line('FINALIZAR_CONVOCATORIA:'||RSP);

END;
/
SET SERVEROUTPUT OFF
spool off
