SET SERVEROUTPUT ON;
spool 41_Pruebas_Unitarias_Pk_DWH.log
prompt Pruebas unitarias de los procedimientos de PK_DWH...

DECLARE
  RSP VARCHAR2(300);
BEGIN
  /**************************************
   *  CONSULTA 1
   **************************************/
 
  PK_DWH.DWH_PARTICIPACION_CONVOCATORIA ('', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_CONVOCATORIA:'||RSP);
  PK_DWH.DWH_PARTICIPACION_CONVOCATORIA ('XX', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_CONVOCATORIA:'||RSP);
  update DWH_PARTICIPACION_CONVOCATORIA set porcent_participacion = 0 where id_convocatoria = 'CONVAUT02';
  PK_DWH.DWH_PARTICIPACION_CONVOCATORIA ('PRUEBA', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_CONVOCATORIA:'||RSP);
  PK_DWH.DWH_PARTICIPACION_CONVOCATORIA ('CONVAUT02', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_CONVOCATORIA:'||RSP);

  /**************************************
   *  CONSULTA 2
   **************************************/
 
  PK_DWH.DWH_PARTICIPACION_MUNICIPIO ('', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_MUNICIPIO:'||RSP);
  PK_DWH.DWH_PARTICIPACION_MUNICIPIO ('PRUEBA2', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_MUNICIPIO:'||RSP);
  PK_DWH.DWH_PARTICIPACION_MUNICIPIO ('CONVAUT02', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_MUNICIPIO:'||RSP);
  update DWH_PARTICIPACION_MUNICIPIO set porcent_municipio = 0 where id_convocatoria = 'CONVAUT02';
  PK_DWH.DWH_PARTICIPACION_MUNICIPIO ('CONVAUT02', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_MUNICIPIO:'||RSP);

  /**************************************
   *  CONSULTA 3
   **************************************/
 
  PK_DWH.DWH_PARTICIPACION_TELEMATICA ('', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_TELEMATICA:'||RSP);
  PK_DWH.DWH_PARTICIPACION_TELEMATICA ('XXX', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_TELEMATICA:'||RSP);
  PK_DWH.DWH_PARTICIPACION_TELEMATICA ('PRUEBA', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_TELEMATICA:'||RSP);
  update DWH_PARTICIPACION_TELEMATICA set porcentaje_votos = 0 where ano_convocatoria = 2021;
  PK_DWH.DWH_PARTICIPACION_TELEMATICA ('CONVAUT02', RSP);
  dbms_output.put_line('DWH_PARTICIPACION_TELEMATICA:'||RSP);

  /**************************************
   *  CONSULTA 4
   **************************************/
 
  PK_DWH.DWH_VARIACION_VOTOS ('', RSP);
  dbms_output.put_line('DWH_VARIACION_VOTOS:'||RSP);
  PK_DWH.DWH_VARIACION_VOTOS ('XXX', RSP);
  dbms_output.put_line('DWH_VARIACION_VOTOS:'||RSP);
  update CONVOCATORIA set ESTADO = 'FINALIZADA' where id_convocatoria = 'PRUEBA';
  PK_DWH.DWH_VARIACION_VOTOS ('CONVAUT02', RSP);
  dbms_output.put_line('DWH_VARIACION_VOTOS:'||RSP);

  /**************************************
   *  CONSULTA 5
   **************************************/
 
  PK_DWH.DWH_FIJOS_MESA (RSP);
  dbms_output.put_line('DWH_FIJOS_MESA:'||RSP);

  /**************************************
   *  CONSULTA 6
   **************************************/
 
  PK_DWH.DWH_ALEGACION_MESA ('', RSP);
  dbms_output.put_line('DWH_ALEGACION_MESA:'||RSP);
  PK_DWH.DWH_ALEGACION_MESA ('XXX', RSP);
  dbms_output.put_line('DWH_ALEGACION_MESA:'||RSP);
  PK_DWH.DWH_ALEGACION_MESA ('PRUEBA', RSP);
  dbms_output.put_line('DWH_ALEGACION_MESA:'||RSP);

  /**************************************
   *  CONSULTA 7
   **************************************/
 
  PK_DWH.DWH_PARTIDOS_PRESENTACION (RSP);
  dbms_output.put_line('DWH_PARTIDOS_PRESENTACION:'||RSP);

  /**************************************
   *  CONSULTA 8
   **************************************/
 
  PK_DWH.DWH_SORTEO_MESAS (RSP);
  dbms_output.put_line('DWH_SORTEO_MESAS:'||RSP);

  /**************************************
   *  CONSULTA 9
   **************************************/
 
  PK_DWH.DWH_MESAS_MENOS_VOTOS (RSP);
  dbms_output.put_line('DWH_MESAS_MENOS_VOTOS:'||RSP);

  /**************************************
   *  CONSULTA 10
   **************************************/
 
  PK_DWH.DWH_NOTIFICACION_MESA ('', RSP);
  dbms_output.put_line('DWH_NOTIFICACION_MESA:'||RSP);
  PK_DWH.DWH_NOTIFICACION_MESA ('XXX', RSP);
  dbms_output.put_line('DWH_NOTIFICACION_MESA:'||RSP);
  PK_DWH.DWH_NOTIFICACION_MESA ('PRUEBA', RSP);
  dbms_output.put_line('DWH_NOTIFICACION_MESA:'||RSP);


  /**************************************
   *  CONSULTA 11
   **************************************/
 
  PK_DWH.DWH_MAX_CANDIDATOS ('', RSP);
  dbms_output.put_line('DWH_MAX_CANDIDATOS:'||RSP);
  PK_DWH.DWH_MAX_CANDIDATOS ('XXX', RSP);
  dbms_output.put_line('DWH_MAX_CANDIDATOS:'||RSP);
  PK_DWH.DWH_MAX_CANDIDATOS ('PRUEBA', RSP);
  dbms_output.put_line('DWH_MAX_CANDIDATOS:'||RSP);
  update DWH_MAX_CANDIDATOS set num_candidatos = 0 where id_convocatoria = 'CONVAUT02';
  PK_DWH.DWH_MAX_CANDIDATOS ('CONVAUT02', RSP);
  dbms_output.put_line('DWH_MAX_CANDIDATOS:'||RSP);

  /**************************************
   *  CONSULTA 12
   **************************************/
 
  PK_DWH.DWH_REPARTO_ESCANOS (RSP);
  dbms_output.put_line('DWH_REPARTO_ESCANOS:'||RSP);


END;
/
SET SERVEROUTPUT OFF
spool off
