spool 02_usuarios.log

/* creación de los roles y permisos */
CREATE ROLE BASIC;
CREATE ROLE ADVANCED;

/* creación de usuario administrador de la base de datos */
CREATE USER jcorralesp
	IDENTIFIED BY "elecciones"
	DEFAULT TABLESPACE TFG_Datos
	QUOTA UNLIMITED ON TFG_Datos
	QUOTA UNLIMITED ON TFG_Indices
	QUOTA UNLIMITED ON TFG_DW
	TEMPORARY TABLESPACE TEMP
	PROFILE DEFAULT
	ACCOUNT UNLOCK;

GRANT CONNECT, RESOURCE TO jcorralesp;
GRANT ALL PRIVILEGES TO jcorralesp;

/* creación de usuario con permisos avanzados */
CREATE USER usuario1
	IDENTIFIED BY "tfguno"
	DEFAULT TABLESPACE TFG_Datos
	TEMPORARY TABLESPACE TEMP;

GRANT ADVANCED TO usuario1;

/* creación de usuario con permisos básicos */
CREATE USER usuario2
	IDENTIFIED BY "tfgdos"
	DEFAULT TABLESPACE TFG_Datos
	TEMPORARY TABLESPACE TEMP;

GRANT BASIC TO usuario2;

spool off;
