spool 07_triggers.log

-- Disparadores para las secuencias

CREATE OR REPLACE
TRIGGER INSERT_SEC_RESULTADOS BEFORE INSERT ON RESULTADOS
FOR EACH ROW
BEGIN
SELECT SEC_RESULTADOS.NEXTVAL INTO :NEW.ID_RESULTADO FROM DUAL;
END INSERT_SEC_RESULTADOS;
/

CREATE OR REPLACE
TRIGGER INSERT_SEC_MESA BEFORE INSERT ON MESA
FOR EACH ROW
BEGIN
SELECT SEC_MESA.NEXTVAL INTO :NEW.ID_MESA FROM DUAL;
END INSERT_SEC_MESA;
/

CREATE OR REPLACE
TRIGGER INSERT_SEC_LOG_PADRON BEFORE INSERT ON LOG_PADRON
FOR EACH ROW
BEGIN
SELECT SEC_LOG_PADRON.NEXTVAL INTO :NEW.ID_LOG FROM DUAL;
END INSERT_SEC_LOG_PADRON;
/

CREATE OR REPLACE
TRIGGER INSERT_SEC_LOG_PROCESOS BEFORE INSERT ON LOG_PROCESOS
FOR EACH ROW
BEGIN
SELECT SEC_LOG_PROCESOS.NEXTVAL INTO :NEW.ID_LOG FROM DUAL;
END INSERT_SEC_LOG_PROCESOS;
/

CREATE OR REPLACE
TRIGGER INSERT_SEC_DEMARCACION BEFORE INSERT ON DEMARCACION
FOR EACH ROW
BEGIN
SELECT SEC_DEMARCACION.NEXTVAL INTO :NEW.ID_DEMARCACION FROM DUAL;
END INSERT_SEC_DEMARCACION;
/

spool off;