SET SERVEROUTPUT ON;
spool 21_Pruebas_Unitarias_Pk_ABM.log
prompt Pruebas unitarias de los procedimientos de PK_ABM...

DECLARE
  RSP VARCHAR2(300);
BEGIN
  /**************************************
   *  COMUNIDADES AUTONOMAS
   **************************************/
 
  PK_ABM.ALTA_COMUNIDAD_AUTONOMA (01, 'ANDALU', RSP);
  dbms_output.put_line('ALTA_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.ALTA_COMUNIDAD_AUTONOMA (NULL, 'ANDALU', RSP);
  dbms_output.put_line('ALTA_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.ALTA_COMUNIDAD_AUTONOMA (01, '', RSP);
  dbms_output.put_line('ALTA_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.ALTA_COMUNIDAD_AUTONOMA (01, 'ANDALU', RSP);
  dbms_output.put_line('ALTA_COMUNIDAD_AUTONOMA:'||RSP);

  PK_ABM.MODIF_COMUNIDAD_AUTONOMA (NULL, 'ANDALUCIA', RSP);
  dbms_output.put_line('MODIF_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.MODIF_COMUNIDAD_AUTONOMA (01, '', RSP);
  dbms_output.put_line('MODIF_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.MODIF_COMUNIDAD_AUTONOMA (02, 'ANDALUCIA', RSP);
  dbms_output.put_line('MODIF_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.MODIF_COMUNIDAD_AUTONOMA (01, 'PRUEBA', RSP);
  dbms_output.put_line('MODIF_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.MODIF_COMUNIDAD_AUTONOMA (01, 'ANDALUCIA', RSP);
  dbms_output.put_line('MODIF_COMUNIDAD_AUTONOMA:'||RSP);

  PK_ABM.BAJA_COMUNIDAD_AUTONOMA (NULL, RSP);
  dbms_output.put_line('BAJA_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.BAJA_COMUNIDAD_AUTONOMA (02, RSP);
  dbms_output.put_line('BAJA_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.BAJA_COMUNIDAD_AUTONOMA (99, RSP);
  dbms_output.put_line('BAJA_COMUNIDAD_AUTONOMA:'||RSP);
  PK_ABM.BAJA_COMUNIDAD_AUTONOMA (01, RSP);
  dbms_output.put_line('BAJA_COMUNIDAD_AUTONOMA:'||RSP);


  /**************************************
   *  PROVINCIAS
   **************************************/

  PK_ABM.ALTA_PROVINCIA (NULL, 8, 'Cadiz', RSP);
  dbms_output.put_line('ALTA_PROVINCIA:'||RSP);
  PK_ABM.ALTA_PROVINCIA (01, NULL, 'Cadiz', RSP);
  dbms_output.put_line('ALTA_PROVINCIA:'||RSP);
  PK_ABM.ALTA_PROVINCIA (01, 8, '', RSP);
  dbms_output.put_line('ALTA_PROVINCIA:'||RSP);
  PK_ABM.ALTA_PROVINCIA (35, 8, 'Cadiz', RSP);
  dbms_output.put_line('ALTA_PROVINCIA:'||RSP);
  PK_ABM.ALTA_PROVINCIA (99, 10, 'PRUEBA', RSP);
  dbms_output.put_line('ALTA_PROVINCIA:'||RSP);
  PK_ABM.ALTA_PROVINCIA (99, 8, 'Cadiz', RSP);
  dbms_output.put_line('ALTA_PROVINCIA:'||RSP);

  PK_ABM.MODIFICACION_PROVINCIA (NULL, 'PRUEBA', RSP);
  dbms_output.put_line('MODIFICACION_PROVINCIA:'||RSP);
  PK_ABM.MODIFICACION_PROVINCIA (53, '', RSP);
  dbms_output.put_line('MODIFICACION_PROVINCIA:'||RSP);
  PK_ABM.MODIFICACION_PROVINCIA (53, 'PRUEBA', RSP);
  dbms_output.put_line('MODIFICACION_PROVINCIA:'||RSP);
  PK_ABM.MODIFICACION_PROVINCIA (8, 'PRUEBA', RSP);
  dbms_output.put_line('MODIFICACION_PROVINCIA:'||RSP);
  PK_ABM.MODIFICACION_PROVINCIA (8, 'Malaga', RSP);
  dbms_output.put_line('MODIFICACION_PROVINCIA:'||RSP);

  PK_ABM.BAJA_PROVINCIA (NULL, RSP);
  dbms_output.put_line('BAJA_PROVINCIA:'||RSP);
  PK_ABM.BAJA_PROVINCIA (71, RSP);
  dbms_output.put_line('BAJA_PROVINCIA:'||RSP);
  PK_ABM.BAJA_PROVINCIA (99, RSP);
  dbms_output.put_line('BAJA_PROVINCIA:'||RSP);
  PK_ABM.BAJA_PROVINCIA (8, RSP);
  dbms_output.put_line('BAJA_PROVINCIA:'||RSP);


  /**************************************
   *  MUNICIPIOS
   **************************************/

  PK_ABM.ALTA_MUNICIPIO (NULL, 8, 'Barbate', RSP);
  dbms_output.put_line('ALTA_MUNICIPIO:'||RSP);
  PK_ABM.ALTA_MUNICIPIO (99, NULL, 'Barbate', RSP);
  dbms_output.put_line('ALTA_MUNICIPIO:'||RSP);
  PK_ABM.ALTA_MUNICIPIO (99, 8, '', RSP);
  dbms_output.put_line('ALTA_MUNICIPIO:'||RSP);
  PK_ABM.ALTA_MUNICIPIO (76, 8, 'Barbate', RSP);
  dbms_output.put_line('ALTA_MUNICIPIO:'||RSP);
  PK_ABM.ALTA_MUNICIPIO (99, 999, 'Barbate', RSP);
  dbms_output.put_line('ALTA_MUNICIPIO:'||RSP);
  PK_ABM.ALTA_MUNICIPIO (99, 8, 'Barbate', RSP);
  dbms_output.put_line('ALTA_MUNICIPIO:'||RSP);

  PK_ABM.MODIFICACION_MUNICIPIO (NULL, 'Olvera', RSP);
  dbms_output.put_line('MODIFICACION_MUNICIPIO:'||RSP);
  PK_ABM.MODIFICACION_MUNICIPIO (8, '', RSP);
  dbms_output.put_line('MODIFICACION_MUNICIPIO:'||RSP);
  PK_ABM.MODIFICACION_MUNICIPIO (71, 'Olvera', RSP);
  dbms_output.put_line('MODIFICACION_MUNICIPIO:'||RSP);
  PK_ABM.MODIFICACION_MUNICIPIO (8, 'PRUEBA', RSP);
  dbms_output.put_line('MODIFICACION_MUNICIPIO:'||RSP);
  PK_ABM.MODIFICACION_MUNICIPIO (8, 'Olvera', RSP);
  dbms_output.put_line('MODIFICACION_MUNICIPIO:'||RSP);

  PK_ABM.BAJA_MUNICIPIO (NULL, RSP);
  dbms_output.put_line('BAJA_MUNICIPIO:'||RSP);
  PK_ABM.BAJA_MUNICIPIO (78, RSP);
  dbms_output.put_line('BAJA_MUNICIPIO:'||RSP);
  PK_ABM.BAJA_MUNICIPIO (999, RSP);
  dbms_output.put_line('BAJA_MUNICIPIO:'||RSP);
  PK_ABM.BAJA_MUNICIPIO (8, RSP);
  dbms_output.put_line('BAJA_MUNICIPIO:'||RSP);


  /**************************************
   *  TITULACIONES
   **************************************/

  PK_ABM.ALTA_TITULACION (NULL, 'Master', RSP);
  dbms_output.put_line('ALTA_TITULACION:'||RSP);
  PK_ABM.ALTA_TITULACION (5, '', RSP);
  dbms_output.put_line('ALTA_TITULACION:'||RSP);
  PK_ABM.ALTA_TITULACION (99, 'Sin Estudios', RSP);
  dbms_output.put_line('ALTA_TITULACION:'||RSP);
  PK_ABM.ALTA_TITULACION (75, 'Master', RSP);
  dbms_output.put_line('ALTA_TITULACION:'||RSP);

  PK_ABM.MODIFICACION_TITULACION (NULL, 'Master', RSP);
  dbms_output.put_line('MODIFICACION_TITULACION:'||RSP);
  PK_ABM.MODIFICACION_TITULACION (84, '', RSP);
  dbms_output.put_line('MODIFICACION_TITULACION:'||RSP);
  PK_ABM.MODIFICACION_TITULACION (84, 'Certificacion no oficial', RSP);
  dbms_output.put_line('MODIFICACION_TITULACION:'||RSP);
  PK_ABM.MODIFICACION_TITULACION (75, 'PRUEBA', RSP);
  dbms_output.put_line('MODIFICACION_TITULACION:'||RSP);
  PK_ABM.MODIFICACION_TITULACION (75, 'Master o Postgrado', RSP);
  dbms_output.put_line('MODIFICACION_TITULACION:'||RSP);

  PK_ABM.BAJA_TITULACION (NULL, RSP);
  dbms_output.put_line('BAJA_TITULACION:'||RSP);
  PK_ABM.BAJA_TITULACION (85, RSP);
  dbms_output.put_line('BAJA_TITULACION:'||RSP);
  PK_ABM.BAJA_TITULACION (99, RSP);
  dbms_output.put_line('BAJA_TITULACION:'||RSP);
  PK_ABM.BAJA_TITULACION (75, RSP);
  dbms_output.put_line('BAJA_TITULACION:'||RSP);

  /**************************************
   *  USUARIOS
   **************************************/

  PK_ABM.ALTA_USUARIOS ('', 'pruebauno', 'AVANZADO', RSP);
  dbms_output.put_line('ALTA_USUARIOS:'||RSP);
  PK_ABM.ALTA_USUARIOS ('prueba', '', 'AVANZADO', RSP);
  dbms_output.put_line('ALTA_USUARIOS:'||RSP);
  PK_ABM.ALTA_USUARIOS ('prueba', 'pruebauno', '', RSP);
  dbms_output.put_line('ALTA_USUARIOS:'||RSP);
  PK_ABM.ALTA_USUARIOS ('prueba', 'pruebauno', 'BASICO', RSP);
  dbms_output.put_line('ALTA_USUARIOS:'||RSP);
  PK_ABM.ALTA_USUARIOS ('DEMO', 'elecciones', 'AVANZADO', RSP);
  dbms_output.put_line('ALTA_USUARIOS:'||RSP);
  PK_ABM.ALTA_USUARIOS ('JAJA', 'JEJEJE', 'NORMAL', RSP);
  dbms_output.put_line('ALTA_USUARIOS:'||RSP);

  PK_ABM.MODIFICACION_USUARIOS ('', 'pruebauno', 'NORMAL', 'HABILITADO', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);
  PK_ABM.MODIFICACION_USUARIOS ('prueba', '', 'NORMAL', 'HABILITADO', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);
  PK_ABM.MODIFICACION_USUARIOS ('prueba', 'pruebauno', '', 'HABILITADO', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);
  PK_ABM.MODIFICACION_USUARIOS ('prueba', 'pruebauno', 'NORMAL', '', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);
  PK_ABM.MODIFICACION_USUARIOS ('prueba', 'pruebauno', 'BASICO', 'HABILITADO', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);
  PK_ABM.MODIFICACION_USUARIOS ('prueba', 'pruebauno', 'NORMAL', 'ENABLED', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);
  PK_ABM.MODIFICACION_USUARIOS ('juan', 'pruebauno', 'NORMAL', 'HABILITADO', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);
  PK_ABM.MODIFICACION_USUARIOS ('JAJA', 'JOJOJO', 'AVANZADO', 'HABILITADO', RSP);
  dbms_output.put_line('MODIFICACION_USUARIOS:'||RSP);

  PK_ABM.BAJA_USUARIOS ('', RSP);
  dbms_output.put_line('BAJA_USUARIOS:'||RSP);
  PK_ABM.BAJA_USUARIOS ('juan', RSP);
  dbms_output.put_line('BAJA_USUARIOS:'||RSP);
  PK_ABM.BAJA_USUARIOS ('JAJA', RSP);
  dbms_output.put_line('BAJA_USUARIOS:'||RSP);


  /**************************************
   *  PADRON MUNICIPAL
   **************************************/

  PK_ABM.ALTA_PADRON_MUNICIPAL ('', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', '', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', '', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', '', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', '', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', '', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', '', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', NULL, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, NULL, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', NULL, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'VARON', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 99, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 99, 999, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('31', 'prueba', 'prueba1', 'prueba2', '56083420X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.ALTA_PADRON_MUNICIPAL ('01', 'Lockwood', 'Angrock', 'Bustin', '56098120X', '21/11/1985', 'Malaga', 'Malaga', 'SPAIN', 'HOMBRE', 99, 999, '9884 Londonderry Place', 99, RSP);
  dbms_output.put_line('ALTA_PADRON_MUNICIPAL:'||RSP);

  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('', '', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('31', '56083420X', NULL, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('31', '56083420X', 11, NULL, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('31', '56083420X', 11, 8, '', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('31', '56083420X', 11, 8, '9884 Londonderry Place', NULL, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('01', '', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('01', '', 99, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('01', '', 99, 999, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('', '1542165V', 11, 8, '9884 Londonderry Place', 11, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.MODIFICACION_PADRON_MUNICIPAL ('31', '56083420X', 99, 999, 'PRUEBA', 99, RSP);
  dbms_output.put_line('MODIFICACION_PADRON_MUNICIPAL:'||RSP);

  PK_ABM.BAJA_PADRON_MUNICIPAL ('', '', RSP);
  dbms_output.put_line('BAJA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.BAJA_PADRON_MUNICIPAL ('81', '', RSP);
  dbms_output.put_line('BAJA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.BAJA_PADRON_MUNICIPAL ('9999', '', RSP);
  dbms_output.put_line('BAJA_PADRON_MUNICIPAL:'||RSP);
  PK_ABM.BAJA_PADRON_MUNICIPAL ('', '56098120X', RSP);
  dbms_output.put_line('BAJA_PADRON_MUNICIPAL:'||RSP);


  /**************************************
   *  PARTIDO POLITICO
   **************************************/

  PK_ABM.ALTA_PARTIDO_POLITICO (NULL, 'JAJA', 'JOJOJO', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('ALTA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.ALTA_PARTIDO_POLITICO (1, '', 'JOJOJO', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('ALTA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.ALTA_PARTIDO_POLITICO (1, 'JAJA', '', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('ALTA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.ALTA_PARTIDO_POLITICO (1, 'JAJA', 'JOJOJO', '', '01/01/1990', RSP);
  dbms_output.put_line('ALTA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.ALTA_PARTIDO_POLITICO (1, 'JAJA', 'JOJOJO', '14 Grim Park', '', RSP);
  dbms_output.put_line('ALTA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.ALTA_PARTIDO_POLITICO (99, 'JAJA', 'JOJOJO', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('ALTA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.ALTA_PARTIDO_POLITICO (1, 'JAJA', 'JOJOJO', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('ALTA_PARTIDO_POLITICO:'||RSP);

  PK_ABM.MODIFICACION_PARTIDO_POLITICO (NULL, 'JAJA', 'JOJOJO', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);
  PK_ABM.MODIFICACION_PARTIDO_POLITICO (16, '', 'JOJOJO', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);
  PK_ABM.MODIFICACION_PARTIDO_POLITICO (16, 'JAJA', '', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);
  PK_ABM.MODIFICACION_PARTIDO_POLITICO (16, 'JAJA', 'JOJOJO', '', '01/01/1990', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);
  PK_ABM.MODIFICACION_PARTIDO_POLITICO (16, 'JAJA', 'JOJOJO', '14 Grim Park', '', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);
  PK_ABM.MODIFICACION_PARTIDO_POLITICO (17, 'JAJA', 'JOJOJO', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);
  PK_ABM.MODIFICACION_PARTIDO_POLITICO (01, 'PRUEBA', 'Nuevo partido obrero', '14 Grim Park', '01/01/1990', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);
  PK_ABM.MODIFICACION_PARTIDO_POLITICO (01, 'JAJA', 'JEJEJEJEJE', '14 Grim Park', '01/10/1997', RSP);
  dbms_output.put_line('MODIFICACION_PARTIDO_POLITICO:'||RSP);

  PK_ABM.BAJA_PARTIDO_POLITICO (NULL, RSP);
  dbms_output.put_line('BAJA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.BAJA_PARTIDO_POLITICO (28, RSP);
  dbms_output.put_line('BAJA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.BAJA_PARTIDO_POLITICO (99, RSP);
  dbms_output.put_line('BAJA_PARTIDO_POLITICO:'||RSP);
  PK_ABM.BAJA_PARTIDO_POLITICO (1, RSP);
  dbms_output.put_line('BAJA_PARTIDO_POLITICO:'||RSP);


  /**************************************
   *  PARAMETROS
   **************************************/

  PK_ABM.ALTA_PARAMETROS ('', 'PARTIDO', 'FECHA', '2020', RSP);
  dbms_output.put_line('ALTA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_PARAMETROS ('PARAMPART01', '', 'FECHA', '2020', RSP);
  dbms_output.put_line('ALTA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_PARAMETROS ('PARAMPART01', 'PARTIDO', '', '2020', RSP);
  dbms_output.put_line('ALTA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_PARAMETROS ('PARAMPART01', 'PARTIDO', 'FECHA', '', RSP);
  dbms_output.put_line('ALTA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_PARAMETROS ('PARAMPART01', 'HOLA', 'FECHA', '2020', RSP);
  dbms_output.put_line('ALTA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_PARAMETROS ('PARAM99', 'PARTIDO', 'FECHA', '2020', RSP);
  dbms_output.put_line('ALTA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_PARAMETROS ('PARAM00', 'PARTIDO', 'MIEMBROS', '20', RSP);
  dbms_output.put_line('ALTA_PARAMETROS:'||RSP);

  PK_ABM.MODIFICACION_PARAMETROS ('', '20', RSP);
  dbms_output.put_line('MODIFICACION_PARAMETROS:'||RSP);
  PK_ABM.MODIFICACION_PARAMETROS ('PARAMPART10', '', RSP);
  dbms_output.put_line('MODIFICACION_PARAMETROS:'||RSP);
  PK_ABM.MODIFICACION_PARAMETROS ('PARAMPART11', '2020', RSP);
  dbms_output.put_line('MODIFICACION_PARAMETROS:'||RSP);
  PK_ABM.MODIFICACION_PARAMETROS ('PARAM00', '50', RSP);
  dbms_output.put_line('MODIFICACION_PARAMETROS:'||RSP);

  PK_ABM.BAJA_PARAMETROS ('', RSP);
  dbms_output.put_line('BAJA_PARAMETROS:'||RSP);
  PK_ABM.BAJA_PARAMETROS ('PARAMPART11', RSP);
  dbms_output.put_line('BAJA_PARAMETROS:'||RSP);
  PK_ABM.BAJA_PARAMETROS ('PARAM99', RSP);
  dbms_output.put_line('BAJA_PARAMETROS:'||RSP);
  PK_ABM.BAJA_PARAMETROS ('PARAM00', RSP);
  dbms_output.put_line('BAJA_PARAMETROS:'||RSP);


  /**************************************
   *  INSERTAR CONVOCATORIA
   **************************************/

  PK_ABM.ALTA_CONVOCATORIA ('', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', '', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '', '11/05/2021', 'MUNICIPAL', 0, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '', 'MUNICIPAL', 0, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', '', 0, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, NULL, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'COMARCAL', NULL, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'AUTONOMICA', NULL, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'AUTONOMICA', 10, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA99', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', NULL, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', NULL, 20, RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA:'||RSP);

  PK_ABM.MODIFICACION_CONVOCATORIA ('', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', '', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '', '11/05/2021', 'MUNICIPAL', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '', 'MUNICIPAL', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', '', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA01', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, NULL, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA01', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'COMARCAL', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA01', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, 'PENDIENTE', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA01', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 20, 'ABIERTA', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'AUTONOMICA', NULL, 10, 'ABIERTA', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'AUTONOMICA', 0, 10, 'ABIERTA', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);
  PK_ABM.MODIFICACION_CONVOCATORIA ('PRUEBA00', 'Prueba municipales', '10/03/2021', '10/05/2021', '11/05/2021', 'MUNICIPAL', 0, 8, 'ABIERTA', RSP);
  dbms_output.put_line('MODIFICACION_CONVOCATORIA:'||RSP);

  PK_ABM.BAJA_CONVOCATORIA ('', RSP);
  dbms_output.put_line('BAJA_CONVOCATORIA:'||RSP);
  PK_ABM.BAJA_CONVOCATORIA ('PRUEBA77', RSP);
  dbms_output.put_line('BAJA_CONVOCATORIA:'||RSP);
  PK_ABM.BAJA_CONVOCATORIA ('PRUEBA00', RSP);
  dbms_output.put_line('BAJA_CONVOCATORIA:'||RSP);


  /**************************************
   *  CONVOCATORIA-PARAMETROS
   **************************************/
  PK_ABM.ALTA_CONVOCATORIA_PARAMETROS ('', 'PARAMPART01', RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA_PARAMETROS ('CONVMUN01', '', RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA_PARAMETROS ('CONVMUN01', 'PARAMPART01', RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA_PARAMETROS ('PRUEBA99', 'PARAMCEN01', RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA_PARAMETROS ('PRUEBA99', 'PARAM99', RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.ALTA_CONVOCATORIA_PARAMETROS ('PRUEBA99', 'PARAM98', RSP);
  dbms_output.put_line('ALTA_CONVOCATORIA_PARAMETROS:'||RSP);

  PK_ABM.BAJA_CONVOCATORIA_PARAMETROS ('', 'PARAMCEN03', RSP);
  dbms_output.put_line('BAJA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.BAJA_CONVOCATORIA_PARAMETROS ('CONVMUN01', '', RSP);
  dbms_output.put_line('BAJA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.BAJA_CONVOCATORIA_PARAMETROS ('CONVMUN01', 'PARAMCEN09', RSP);
  dbms_output.put_line('BAJA_CONVOCATORIA_PARAMETROS:'||RSP);
  PK_ABM.BAJA_CONVOCATORIA_PARAMETROS ('PRUEBA99', 'PARAM98', RSP);
  dbms_output.put_line('BAJA_CONVOCATORIA_PARAMETROS:'||RSP);


  /**************************************
   *  DEMARCACION
   **************************************/
  PK_ABM.ALTA_DEMARCACION (NULL, 30, 'PRUEBA99', RSP);
  dbms_output.put_line('ALTA_DEMARCACION:'||RSP);
  PK_ABM.ALTA_DEMARCACION (3, NULL, 'PRUEBA99', RSP);
  dbms_output.put_line('ALTA_DEMARCACION:'||RSP);
  PK_ABM.ALTA_DEMARCACION (3, 30, '', RSP);
  dbms_output.put_line('ALTA_DEMARCACION:'||RSP);
  PK_ABM.ALTA_DEMARCACION (0, 30, 'PRUEBA99', RSP);
  dbms_output.put_line('ALTA_DEMARCACION:'||RSP);
  PK_ABM.ALTA_DEMARCACION (3, 30, 'PRUEBA99', RSP);
  dbms_output.put_line('ALTA_DEMARCACION:'||RSP);

  PK_ABM.MODIFICACION_DEMARCACION (NULL, 3, 30, 'PRUEBA99', RSP);
  dbms_output.put_line('MODIFICACION_DEMARCACION:'||RSP);
  PK_ABM.MODIFICACION_DEMARCACION (8, NULL, 30, 'PRUEBA99', RSP);
  dbms_output.put_line('MODIFICACION_DEMARCACION:'||RSP);
  PK_ABM.MODIFICACION_DEMARCACION (8, 3, NULL, 'PRUEBA99', RSP);
  dbms_output.put_line('MODIFICACION_DEMARCACION:'||RSP);
  PK_ABM.MODIFICACION_DEMARCACION (8, 3, 30, '', RSP);
  dbms_output.put_line('MODIFICACION_DEMARCACION:'||RSP);
  PK_ABM.MODIFICACION_DEMARCACION (8, 0, 30, 'PRUEBA99', RSP);
  dbms_output.put_line('MODIFICACION_DEMARCACION:'||RSP);
  PK_ABM.MODIFICACION_DEMARCACION (18, 3, 30, 'PRUEBA99', RSP);
  dbms_output.put_line('MODIFICACION_DEMARCACION:'||RSP);
  PK_ABM.MODIFICACION_DEMARCACION (2, 7, 84, 'PRUEBA99', RSP);
  dbms_output.put_line('MODIFICACION_DEMARCACION:'||RSP);

  PK_ABM.BAJA_DEMARCACION (NULL, 'PRUEBA99', RSP);
  dbms_output.put_line('BAJA_DEMARCACION:'||RSP);
  PK_ABM.BAJA_DEMARCACION (8, '', RSP);
  dbms_output.put_line('BAJA_DEMARCACION:'||RSP);
  PK_ABM.BAJA_DEMARCACION (18, 'PRUEBA99', RSP);
  dbms_output.put_line('BAJA_DEMARCACION:'||RSP);
  PK_ABM.BAJA_DEMARCACION (1, 'PRUEBA99', RSP);
  dbms_output.put_line('BAJA_DEMARCACION:'||RSP);
  PK_ABM.BAJA_DEMARCACION (2, 'PRUEBA99', RSP);
  dbms_output.put_line('BAJA_DEMARCACION:'||RSP);

  /**************************************
   *  CENTRO_VOTACION
   **************************************/
  PK_ABM.ALTA_CENTRO_VOTACION (NULL, 2, 3, 4, 'HOLA', 6, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);
  PK_ABM.ALTA_CENTRO_VOTACION (1, NULL, 3, 4, 'HOLA', 6, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);
  PK_ABM.ALTA_CENTRO_VOTACION (1, 2, NULL, 4, 'HOLA', 6, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);
  PK_ABM.ALTA_CENTRO_VOTACION (1, 2, 3, NULL, 'HOLA', 6, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);
  PK_ABM.ALTA_CENTRO_VOTACION (1, 2, 3, 4, '', 6, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);
  PK_ABM.ALTA_CENTRO_VOTACION (1, 2, 3, 4, 'HOLA', NULL, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);
  PK_ABM.ALTA_CENTRO_VOTACION (1, 999, 3, 4, 'HOLA', 6, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);
  PK_ABM.ALTA_CENTRO_VOTACION (1, 998, 3, 4, 'HOLA', 6, RSP);
  dbms_output.put_line('ALTA_CENTRO_VOTACION:'||RSP);

  PK_ABM.MODIFICACION_CENTRO_VOTACION (NULL, 2, 3, 4, 'HOLA', 6, 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, NULL, 3, 4, 'HOLA', 6, 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 2, NULL, 4, 'HOLA', 6, 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 2, 3, NULL, 'HOLA', 6, 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 2, 3, 4, '', 6, 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 2, 3, 4, 'HOLA', NULL, 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 2, 3, 4, 'HOLA', 6, '', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 2, 3, 4, 'HOLA', 6, 'N', '', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 2, 3, 4, 'HOLA', 6, 'X', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (6, 2, 3, 4, 'ADIOS', 1116, 'S', 'S', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);
  PK_ABM.MODIFICACION_CENTRO_VOTACION (1, 998, 3, 4, 'ADIOS', 1116, 'S', 'S', RSP);
  dbms_output.put_line('MODIFICACION_CENTRO_VOTACION:'||RSP);

  PK_ABM.BAJA_CENTRO_VOTACION (NULL, 2, RSP);
  dbms_output.put_line('BAJA_CENTRO_VOTACION:'||RSP);
  PK_ABM.BAJA_CENTRO_VOTACION (6, NULL, RSP);
  dbms_output.put_line('BAJA_CENTRO_VOTACION:'||RSP);
  PK_ABM.BAJA_CENTRO_VOTACION (9, 2, RSP);
  dbms_output.put_line('BAJA_CENTRO_VOTACION:'||RSP);
  PK_ABM.BAJA_CENTRO_VOTACION (1, 999, RSP);
  dbms_output.put_line('BAJA_CENTRO_VOTACION:'||RSP);
  PK_ABM.BAJA_CENTRO_VOTACION (1, 998, RSP);
  dbms_output.put_line('BAJA_CENTRO_VOTACION:'||RSP);

  /**************************************
   *  MESA
   **************************************/
  PK_ABM.ALTA_MESA ('', 4, 7, RSP);
  dbms_output.put_line('ALTA_MESA:'||RSP);
  PK_ABM.ALTA_MESA ('PRUEBA Municipales.', NULL, 7, RSP);
  dbms_output.put_line('ALTA_MESA:'||RSP);
  PK_ABM.ALTA_MESA ('PRUEBA Municipales.', 4, NULL, RSP);
  dbms_output.put_line('ALTA_MESA:'||RSP);
  PK_ABM.ALTA_MESA ('PRUEBA Municipales.', 1, 999, RSP);
  dbms_output.put_line('ALTA_MESA:'||RSP);

  PK_ABM.MODIFICACION_MESA (NULL, 'PRUEBA Municipales.', 'CERRADA', RSP);
  dbms_output.put_line('MODIFICACION_MESA:'||RSP);
  PK_ABM.MODIFICACION_MESA (11, '', 'CERRADA', RSP);
  dbms_output.put_line('MODIFICACION_MESA:'||RSP);
  PK_ABM.MODIFICACION_MESA (11, 'PRUEBA Municipales.', '', RSP);
  dbms_output.put_line('MODIFICACION_MESA:'||RSP);
  PK_ABM.MODIFICACION_MESA (11, 'PRUEBA Municipales.', 'CLOSE', RSP);
  dbms_output.put_line('MODIFICACION_MESA:'||RSP);
  PK_ABM.MODIFICACION_MESA (15, 'PRUEBA Municipales.', 'CERRADA', RSP);
  dbms_output.put_line('MODIFICACION_MESA:'||RSP);
  PK_ABM.MODIFICACION_MESA (2, 'PRUEBA Municipales.', 'ABIERTA', RSP);
  dbms_output.put_line('MODIFICACION_MESA:'||RSP);

  PK_ABM.BAJA_MESA (NULL, RSP);
  dbms_output.put_line('BAJA_MESA:'||RSP);
  PK_ABM.BAJA_MESA (15, RSP);
  dbms_output.put_line('BAJA_MESA:'||RSP);
  PK_ABM.BAJA_MESA (2, RSP);
  dbms_output.put_line('BAJA_MESA:'||RSP);


  /**************************************
   *  CENSO_ELECTORAL
   **************************************/
  PK_ABM.ALTA_CENSO_ELECTORAL ('', '22', '22/06/2021', 4, RSP);
  dbms_output.put_line('ALTA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.ALTA_CENSO_ELECTORAL ('PRUEBA99', '', '22/06/2021', 4, RSP);
  dbms_output.put_line('ALTA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.ALTA_CENSO_ELECTORAL ('PRUEBA99', '22', '', 4, RSP);
  dbms_output.put_line('ALTA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.ALTA_CENSO_ELECTORAL ('PRUEBA99', '22', '22/06/2021', NULL, RSP);
  dbms_output.put_line('ALTA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.ALTA_CENSO_ELECTORAL ('PRUEBA99', '9999', '22/06/2021', 1, RSP);
  dbms_output.put_line('ALTA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.ALTA_CENSO_ELECTORAL ('PRUEBA99', '01', '22/06/2021', 1, RSP);
  dbms_output.put_line('ALTA_CENSO_ELECTORAL:'||RSP);

  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('', '01', 'N', 'TITULAR', 'N', 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '', 'N', 'TITULAR', 'N', 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '01', '', 'TITULAR', 'N', 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '01', 'S', '', 'N', 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '01', 'S', 'TITULAR', '', 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '01', 'S', 'TITULAR', 'N', '', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '01', 'S', 'TITULAR', 'N', 'N', '', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '01', 'S', 'TITULAR', 'N', 'N', 'X', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '02', 'N', 'TITULAR', 'N', 'N', 'N', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
  PK_ABM.MODIFICACION_CENSO_ELECTORAL ('PRUEBA99', '01', 'S', 'TITULAR', 'S', 'S', 'S', RSP);
  dbms_output.put_line('MODIFICACION_CENSO_ELECTORAL:'||RSP);
 
  PK_ABM.BAJA_CENSO_ELECTORAL ('', '22', RSP);
  dbms_output.put_line('BAJA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.BAJA_CENSO_ELECTORAL ('PRUEBA02', '', RSP);
  dbms_output.put_line('BAJA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.BAJA_CENSO_ELECTORAL ('PRUEBA02', '64', RSP);
  dbms_output.put_line('BAJA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.BAJA_CENSO_ELECTORAL ('PRUEBA99', '9999', RSP);
  dbms_output.put_line('BAJA_CENSO_ELECTORAL:'||RSP);
  PK_ABM.BAJA_CENSO_ELECTORAL ('PRUEBA99', '01', RSP);
  dbms_output.put_line('BAJA_CENSO_ELECTORAL:'||RSP);

  /**************************************
   *  CANDIDATURA
   **************************************/

  PK_ABM.ALTA_CANDIDATURA (NULL, 5, RSP);
  dbms_output.put_line('ALTA_CANDIDATURA:'||RSP);
  PK_ABM.ALTA_CANDIDATURA (4, NULL, RSP);
  dbms_output.put_line('ALTA_CANDIDATURA:'||RSP);
  PK_ABM.ALTA_CANDIDATURA (1, 99, RSP);
  dbms_output.put_line('ALTA_CANDIDATURA:'||RSP);
  PK_ABM.ALTA_CANDIDATURA (1, 98, RSP);
  dbms_output.put_line('ALTA_CANDIDATURA:'||RSP);

  PK_ABM.MODIFICACION_CANDIDATURA (NULL, 5, 'RECHAZADA', RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATURA:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATURA (4, NULL, 'RECHAZADA', RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATURA:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATURA (4, 5, '', RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATURA:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATURA (4, 5, 'XXX', RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATURA:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATURA (4, 7, 'RECHAZADA', RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATURA:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATURA (1, 98, 'RECHAZADA', RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATURA:'||RSP);

  PK_ABM.BAJA_CANDIDATURA (NULL, 5, RSP);
  dbms_output.put_line('BAJA_CANDIDATURA:'||RSP);
  PK_ABM.BAJA_CANDIDATURA (4, NULL, RSP);
  dbms_output.put_line('BAJA_CANDIDATURA:'||RSP);
  PK_ABM.BAJA_CANDIDATURA (4, 7, RSP);
  dbms_output.put_line('BAJA_CANDIDATURA:'||RSP);
  PK_ABM.BAJA_CANDIDATURA (1, 98, RSP);
  dbms_output.put_line('BAJA_CANDIDATURA:'||RSP);

  /**************************************
   *  CANDIDATO
   **************************************/

  PK_ABM.ALTA_CANDIDATO ('', '22', 4, 5, 1, RSP);
  dbms_output.put_line('ALTA_CANDIDATO:'||RSP);
  PK_ABM.ALTA_CANDIDATO ('PRUEBA99', '', 4, 5, 1, RSP);
  dbms_output.put_line('ALTA_CANDIDATO:'||RSP);
  PK_ABM.ALTA_CANDIDATO ('PRUEBA99', '22', NULL, 5, 1, RSP);
  dbms_output.put_line('ALTA_CANDIDATO:'||RSP);
  PK_ABM.ALTA_CANDIDATO ('PRUEBA99', '22', 4, NULL, 1, RSP);
  dbms_output.put_line('ALTA_CANDIDATO:'||RSP);
  PK_ABM.ALTA_CANDIDATO ('PRUEBA99', '22', 4, 5, NULL, RSP);
  dbms_output.put_line('ALTA_CANDIDATO:'||RSP);
  PK_ABM.ALTA_CANDIDATO ('PRUEBA99', '9999', 1, 99, 1, RSP);
  dbms_output.put_line('ALTA_CANDIDATO:'||RSP);
  PK_ABM.ALTA_CANDIDATO ('PRUEBA99', '10', 1, 99, 2, RSP);
  dbms_output.put_line('ALTA_CANDIDATO:'||RSP);

  PK_ABM.MODIFICACION_CANDIDATO ('', '30', 4, 1, 5, RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATO:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATO ('PRUEBA99', '', 4, 1, 5, RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATO:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATO ('PRUEBA99', '30', NULL, 1, 5, RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATO:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATO ('PRUEBA99', '30', 4, NULL, 5, RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATO:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATO ('PRUEBA99', '30', 4, 1, NULL, RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATO:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATO ('PRUEBA99', '29', 4, 1, 5, RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATO:'||RSP);
  PK_ABM.MODIFICACION_CANDIDATO ('PRUEBA99', '10', 1, 99, 6, RSP);
  dbms_output.put_line('MODIFICACION_CANDIDATO:'||RSP);

  PK_ABM.BAJA_CANDIDATO ('', '30', 4, 1, RSP);
  dbms_output.put_line('BAJA_CANDIDATO:'||RSP);
  PK_ABM.BAJA_CANDIDATO ('PRUEBA99', '', 4, 1, RSP);
  dbms_output.put_line('BAJA_CANDIDATO:'||RSP);
  PK_ABM.BAJA_CANDIDATO ('PRUEBA99', '30', NULL, 1, RSP);
  dbms_output.put_line('BAJA_CANDIDATO:'||RSP);
  PK_ABM.BAJA_CANDIDATO ('PRUEBA99', '30', 4, NULL, RSP);
  dbms_output.put_line('BAJA_CANDIDATO:'||RSP);
  PK_ABM.BAJA_CANDIDATO ('PRUEBA99', '29', 4, 1, RSP);
  dbms_output.put_line('BAJA_CANDIDATO:'||RSP);
  PK_ABM.BAJA_CANDIDATO ('PRUEBA99', '10', 1, 99, RSP);
  dbms_output.put_line('BAJA_CANDIDATO:'||RSP);

END;
/
SET SERVEROUTPUT OFF
spool off
